#pragma once

#include "AggreGateException.h"

class DeviceException : public AggreGateException
{
public:
    DeviceException(const AgString& message) : AggreGateException(message) {}
    DeviceException(const AgString& message, const AgString details) : AggreGateException(message, details) {}
};
